ie_proxy {curl} | R Documentation

## Internet Explorer proxy settings

### Description

Lookup and mimic the system proxy settings on Windows as set by Internet Explorer. This can be used to configure curl to use the same proxy server.

### Usage

    ie_proxy_info()

    ie_get_proxy_for_url(target_url = "http://www.google.com")

### Arguments

`target_url` | url with host for which to lookup the proxy server

### Details

The `ie_proxy_info` function looks up your current proxy settings as configured in IE under "Internet Options" > "Tab: Connections" > "LAN Settings". The `ie_get_proxy_for_url` determines if and which proxy should be used to connect to a particular URL. If your settings have an "automatic configuration script" this involves downloading and executing a PAC file, which can take a while.

[Package curl version 2.6 Index]